(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Pierre Weis, projet Cristal, INRIA Rocquencourt          *)
(*                                                                     *)
(*  Copyright 1996 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: lib_version.ml,v 1.1 2015/08/27 10:36:17 fclement Exp $ *)

type major = int
and minor = int
and patch = int
;;

type version = major * minor * patch
and t = version
;;

let to_string (maj, min, pat) =
  Printf.sprintf "%d.%d.%d" maj min pat
;;

let of_string s =
  let ib = Scanf.Scanning.from_string s in
  Scanf.bscanf ib "%d.%d"
    (fun maj min ->
      if Scanf.Scanning.end_of_input ib then maj, min, 0 else
      Scanf.bscanf ib ".%d" (fun pat -> maj, min, pat))
;;
