/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                       EPI Serena, INRIA Paris                       */
/*                                                                     */
/*  Copyright (c) 2005-2017 INRIA.                                     */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: boolean.hpp,v 1.13 2017/05/31 15:54:21 fclement Exp $ */

#ifndef BOOLEAN_H
#define BOOLEAN_H

#include<iostream>

using namespace std;

namespace io{
  class EndOfStream{};
  class SyntaxError{};  
}

class boolean{
  bool b;
public:
  void set_value(bool x){
    b = x;
  }
  bool get_value() const{
    return b;
  }
  boolean(bool x){
    set_value(x);
  }
  boolean(){
    set_value(true);
  }
  const bool operator == (boolean y){
    return y.get_value() == b;
  }
};

void operator >> (std::istream& ic,boolean& b);
std::ostream& operator << (std::ostream& oc,boolean& b);

#endif
