/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                       EPI Serena, INRIA Paris                       */
/*                                                                     */
/*  Copyright (c) 2005-2017 INRIA.                                     */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: result.cpp,v 1.13 2017/05/31 15:54:21 fclement Exp $ */

#include "result.hpp"


using namespace std;

namespace io{

  Result::Result():_values(0){}
  
  Result::Result(vector<Typed_value> & __values):_values(__values){}
  
  Result::Result(const Typed_value & _value):_values(1,_value){}

  Result::~Result(){}

  vector<Typed_value> & Result::values(){return _values;}

  void Result::add(const Typed_value & _value){
    _values.push_back(_value);
  }
  
}



