(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: options.ml,v 1.18 2017/05/15 17:50:35 fclement Exp $ *)

module Opts = Tools_options;;

(* Command-line options. *)

let command_kind = "documentation generator"
and command_suffix = "doc"
;;

let oks =
  [
   Opts.sklml_install_root_dir_ok;
  ]

and rcos =
  [
   Opts.sklml_install_root_dir_rco;
  ]
;;

let doc_mandatory_arguments = "";;

let (command_title, phase) =
  Opts.set_command_line_options
    command_kind command_suffix
    oks rcos
    doc_mandatory_arguments
;;

(* Report/debug flags and warning/error messages. *)

let services =
  Opts.add_services Sklml_version.option_key_data_no_prefix command_title
;;

(* Parsing the command line. *)

type t =
  {
   ocaml_options : string list;
  }
and options = t
;;

let get_options argv =
  {
    ocaml_options = Opts.get_ocaml_options argv;
  }
;;

let parse () = Opts.parse services phase get_options;;
