(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: options.mli,v 1.15 2017/05/15 17:29:20 fclement Exp $ *)

open Tools_common_types;;

val services : 'a services;;

type t =
  {
   compilation_mode : compilation_mode;
   semantics_mode : semantics_mode;
   lib_root_dir : root_dir;
   ocaml_options : string list;
  }
and options = t
;;

val parse : unit -> t;;
