(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: parsers.mli,v 1.17 2017/01/04 11:58:30 fclement Exp $ *)

open Tools_common_types;;

type sections = string
and host = string
and shell = string
(** Aliases to type [string]. *)
;;

type configuration_entry =
  | Nat of Unatural.t
  | Str of string
and configuration_setting = string * configuration_entry
and configuration_settings = configuration_setting list
;;

exception Parse_settings_error of string;;

val parse_settings :
  Options.t -> sections -> configuration_settings Ulist2.t
;;

val parse_daemon_port : string -> port option;;

exception Expand_shell_command_error of string;;

val expand_shell_command :
  Options.t -> host -> command -> shell -> string array
;;
